Package org.apache.felix.http.base.internal.dispatch

## Class MultipartConfig

- java.lang.Object
- - org.apache.felix.http.base.internal.dispatch.MultipartConfig

    public final class MultipartConfig
    extends Object

### Field Summary

Fields
`static MultipartConfig` `DEFAULT_CONFIG`
`static MultipartConfig` `INVALID_CONFIG`
`String` `multipartLocation` Specifies the multipart location
`long` `multipartMaxFileCount` Specifies the multipart max files
`long` `multipartMaxFileSize` Specifies the multipart max file size
`long` `multipartMaxRequestSize` Specifies the multipart max request size
`int` `multipartThreshold` Specifies the multipart threshold

### Constructor Summary

Constructors
`MultipartConfig​(Integer threshold, String location, long maxFileSize, long maxRequestSize, long maxFileCount)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(Object obj)`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_CONFIG

    public static final MultipartConfig DEFAULT_CONFIG

#### INVALID_CONFIG

    public static final MultipartConfig INVALID_CONFIG

#### multipartThreshold

    public final int multipartThreshold

Specifies the multipart threshold

#### multipartLocation

    public final String multipartLocation

Specifies the multipart location

#### multipartMaxFileSize

    public final long multipartMaxFileSize

Specifies the multipart max file size

#### multipartMaxRequestSize

    public final long multipartMaxRequestSize

Specifies the multipart max request size

#### multipartMaxFileCount

    public final long multipartMaxFileCount

Specifies the multipart max files

### Constructor Detail

#### MultipartConfig

    public MultipartConfig​(Integer threshold,
                           String location,
                           long maxFileSize,
                           long maxRequestSize,
                           long maxFileCount)

### Method Detail

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals​(Object obj)

Overrides:
  `equals` in class `Object`